Application: gvSIG desktop - gvSIG feature requests #2282
Icons in table_actions toolbar are not aligned and a bit disordered
02/03/2014 11:35 AM - Antonio Falciano

Status: New % Done: 0%
Priority: Normal Spent time: 0.00 hour
Assignee:

Category: Document table

Target version:

gvSIG version: 21.0 Add-on resolve version:
Keywords: Add-on resolve build:

Has patch: No Proyecto:

Add-on name: Unknown Hito:

Add-on version:

Description

Icons in table_actions toolbar are not aligned (e.g. "Add column" and "Sort ascending") and a bit disordered (it seems that there's not
a logic in their placement). | think they should be reorganized better and icons could be improved.

History

#1 - 02/03/2014 11:39 AM - Alvaro Anguix
- Tracker changed from gvSIG bugs to gvSIG feature requests

#2 - 02/03/2014 11:44 AM - Alvaro Anguix

In this case we have (table in edition mode):
...Add column / Rename column / Remove Column / Column Manager / Sort Ascending...

I think is a logic placement.

#3 - 02/03/2014 11:57 AM - Antonio Falciano

Ok Alvaro, here's the whole content of the toolbar on my pc:

Print table (aka the first thing one does with a table);
Filter table;
Create link(?) (inactive, no tooltip);

unknown (inactive, no tooltip);

- Remove row;

Add column;

Rename column;

Remove column;

Column manager (ex Field or Table manager);
- Sort ascending;

Sort descending;

Find and select duplicates;
- Statistics.

| know it's a subjective matter, but probably something better can be done.
#4 - 02/04/2014 10:55 AM - Antonio Falciano

The Table menu needs a bit of revision too and obviously should be synchronized with toolbar. For instance, "Remove join" comes before "Create join"
and then | should add the "Table properties”, "Rename column", "Delete column”, etc. My two cents.
